#!/bin/sh
# RUN IN REPO ROOT DIR !!

export IMAGE_BASE="git.pbiernat.io/egommerce/catalog"
export SERVER_IMAGE="$IMAGE_BASE-svc"
export WORKER_IMAGE="$IMAGE_BASE-worker"

TARGET=${1:-latest}

echo $DOCKER_PASSWORD | docker login git.pbiernat.io -u $DOCKER_USERNAME --password-stdin

docker push "$SERVER_IMAGE:$TARGET"
docker push "$WORKER_IMAGE:$TARGET"

# Restart container
curl -X POST http://127.0.0.1:9001/api/webhooks/06add0c5-9a5a-434a-aa9e-c7a06c02b02c
curl -X POST http://127.0.0.1:9001/api/webhooks/0eb912d8-b39a-41d5-a320-3c752b3202cf
